H5PFC(1)

NAME
h5pfc - helper script to compile HDF5 Fortran applications

DESCRIPTION
usage: h5pfc [OPTIONS] <compile line>

    OPTIONS:

-help
    This help message.

-echo
    Show all the shell commands executed

-prefix=DIR
    Prefix directory to find HDF5 lib/ and include/

    subdirectories [default: /usr]

-show
    Show the commands without executing them

-showconfig
    Show the HDF5 library configuration summary

-shlib
    Compile with shared HDF5 libraries [default for hdf5 built without static libraries]

-noshlib
    Compile with static HDF5 libraries [default for hdf5 built with static libraries]

<compile line>
    - the normal compile line options for your compiler.

h5pfc uses the same compiler you used to compile
    HDF5. Check with your compiler's man pages for more information on which options are needed.

    You can override the compiler and linker to compile your program by setting the following environment variables accordingly:

HDF5_FC
    - use a different Fortran 90 or 95 compiler

HDF5_FLINKER
    - use a different linker

HDF5_USE_SHLIB=[yes|no]
    - use shared or static version of the HDF5 library

[default: no except when built with only
    shared libraries]

    You can also add or change paths and flags to the compile line using the following environment varibles or by assigning them to their counterparts in the 'Things You Can Modify to Override...' section of h5pfc

Variable
    Current value to be replaced

HDF5_FCFLAGS
    ""

HDF5_LDFLAGS
    ""

HDF5_LIBS
    ""

    Note that adding library paths to HDF5_LDFLAGS where another hdf5 version is located may link your program with that other hdf5 library version.